export declare type StringifyReviver = (this: any, key: string, value: any, type: string, callCount: number, stringifyOptions: StringifyReviverOptions) => any;
export declare type ParseReviver = (this: any, key: string, value: any, type: string, callCount: number) => any;
export declare type SPReviver = (this: any, key: string, value: any, type: string, callCount: number, stringifyOptions: StringifyReviverOptions | undefined) => any;
export interface ReviverPair {
    string: StringifyReviver;
    parse: ParseReviver;
}
export declare function isReviverPair(target: any): target is ReviverPair;
export declare type Reviver = SPReviver | StringifyReviver | ParseReviver | ReviverPair;
export interface StringifyReviverOptions {
    skip?: boolean;
    skipMark?: boolean;
    skipRootMark?: boolean;
}
export interface JSONStringifyOptions extends StringifyReviverOptions {
    skipRoot?: boolean;
    space?: string | number;
    mark?: string | null;
}
